<template>
  <div>
    <v-dialog
        v-model="dialog"
        width="500"
        :retain-focus="false"
    >
      <template v-slot:activator="{ on, attrs }">
        <v-btn
            class="mx-2"
            fab
            dark
            color="yellow darken-2"
            v-bind="attrs"
            v-on="on"
        >
          <v-icon dark>
            mdi-pencil
          </v-icon>
        </v-btn>
      </template>

      <v-card>
        <v-form>
          <v-card-title class="headline grey lighten-2">
            Modifier
          </v-card-title>
          <br>
          <v-text-field
              v-for="(value, key) in structure"
              outlined
              :type="value"
              :placeholder="key"
              :label="key"
              :key="key"
              v-model="form[key]"/>
          <div class="text-center">
            <v-btn @click="updateItem" color="yellow">Valider</v-btn>
          </div>
        </v-form>
        <v-divider></v-divider>

        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn
              color="primary"
              text
              @click="dialog = false"
          >
            Quitter
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </div>
</template>

<script>

export default {
  name: "Update",
  props: {
    updateid: Number,
    structure: Object,
    url: String,
    items: Object,
  },
  data() {
    return {
      form :{},
      dialog: false
    }
  },
  mounted() {
    this.form = this.items
  },
  methods: {
    updateItem(){
      this.$axios.patch(`${this.url}/` + this.updateid, this.form)
    }
  }
}
</script>

<style scoped>

</style>